#include <bits/stdc++.h>
#define ii pair<int, int>
#define vi vector<int>
#define vii vector<ii>
#define pb push_back
#define ln << '\n'
#define int long long
using namespace std;

const int G = 2e6 + 22;
int n, m;

void solve() {
    cin >> n >> m;
    multiset<int> st;
    for (int i = 1; i <= n; i++) st.insert(0);
    int ans = 0;
    for (int i = 1; i <= m; i++) {
        int x; cin >> x;
        if (x < 0) {
            ans -= *st.rbegin();
            int ne = x - *st.rbegin();
            ans += ne;
            st.erase(--st.end());
            st.insert(ne);
        } else {
            ans -= *st.begin();
            int ne = x - *st.begin();
            ans += ne;
            st.erase(st.begin());
            st.insert(ne);
        }
    }
    cout << ans ln;
}

int32_t main() {
    cin.tie(0); cout.tie(0); ios::sync_with_stdio(0);
    int t; cin >> t;
    while (t--) solve();
    return 0;
}